# Extension des commandes de base de NVDA #

* Auteur: PaulBer19
* URL: paulber19@laposte.net
* Télécharger:
	* [version stable][1]
	* [version de développement][2]
* Compatibilité:
	* version minimum de NVDAsupportée: 2019.3
	* dernière version de NVDA testée: 2021.1


Traducteur (s): texte original par l'auteur de l'extension

Cette extension ajoute à NVDA:
## Les fonctionnalités ##

Certaines fonctionnalités peuvent être activées ou désactivées individuellement.

* Affichage de la liste des icônes de la zone de notification,
* Affichage de la liste des fenêtres des applications lancées,
* Aide à la composition d'un symbole complexe comme par exemple, un a e lié, un symbole puissance 2 et possibilité d'ajouter ses propres catégories et symboles,
* Extension des fonctionnalités du tampon virtuel pour les navigateurs Mozilla Firefox, Microsoft Internet Explorer, Microsoft Edge et Google Chrome:

	* commandes pour le mode navigation (paragraphe, division, ancre, région principale),
	* nouveaux types d'éléments pour la boite de dialogue ouverte par "NVDA+F7" (bouton radio, paragraphe, cadre, case à cocher, etc) avec annonce du nombre d'éléments trouvés,
	* commandes pour les tableaux:
		* annoncer les cellules d'une ligne /colonne, aller à la première/dernière cellule de la ligne/colonne courante, se déplacer à la colonne/ligne précédente ou suivante avec annonce possible des cellules de la ligne/colonne,
	* annonce de l'adresse URL du document,
	* navigation en boucle,


* Annonce de la fonction associée aux commandes d'édition du style Copier, Coller, …,
* Annonce du nom du dossier présélectionné dans les boites de dialogue du style "Ouvrir", "Enregistrer", "Enregistrer sous",…,
* affichage d'informations sur l'application sous le focus:
	* le nom et numéro de version de l'application,
	* le profil de configuration courant,
	* l'extension	 active associée à l'application,


* outils pour les journaux de NVDA:
	* ouverture du journal ancien ou courant,
	* copie du chemin du journal courant dans le presse-papier,


* historique des annonces vocales,
* renommage des touches clavier,
* annonce sélective des touches de commandes,
* simple minuterie,
* affichage des éléments visibles composant l'objet en avant plan,
* commutation rapide de profil vocal,
* rémanence des touches de modification,
* arrêter, redémarrer ou mettre en veille prolongé l'ordinateur,
* contrôle du volume principal et de NVDA:
	* coupure ou remise du son pour l'application focalisée,
	* établissement du volume principal ou de NVDA au démarrage de l'extension,
	* modifier le volume principal ou du flux audio de l'application sous le focus,


* Outils pour le développement d'extensions,
* Compléments concernant la date et l'heure: copie de la date et de l'heure dans le presse-papier, annonce de l'heure avec les secondes.


## Les options ##

* supprimer l'annonce de la description des objets dans les rubans Windows,
* annoncer le mot focalisé lors d'une suppression de mot (pour les versions de NVDA antérieures à la 2020.3),
* agrandir automatiquement les fenêtres au premier plan,
* annoncer des ponctuations et symboles lors de déplacement par mot.


## Les options avancées ##

* signaler, par un son, l'inscription d'une erreur dans le journal aussi pour les versions finales et release candidate de NVDA,
* Titrer les dialogues avec le nom de l'extension,
* Ne pas tenir compte de l'option Annoncer la description de l'objet lors de l’affichage des boites de dialogue du style confirmation,
* pouvoir utiliser le pavé numérique de manière classique.


## Divers autres éléments ##

* présentation de la mise en forme du texte dans une boite de dialogue,
* sous-menus pour explorer les dossiers programme ou de configuration,
* script pour redémarrer rapidement NVDA.


[1]: https://github.com/paulber007/AllMyNVDAAddons/raw/master/NVDAExtensionGlobalPlugin/NVDAExtensionGlobalPlugin-9.8.1.nvda-addon
[2]: https://github.com/paulber007/AllMyNVDAAddons/tree/master/NVDAExtensionGlobalPlugin/dev
